# Process Transaction Step

> POST `/transactions/{id}`
> Part of the One API reference. Source: https://hub.ozow.com/api-reference/one-api/post-transactions-id/

Server: `https://one.ozow.com/v1` (Production)

Other environments: `https://stagingone.ozow.com/v1` (Staging)

Allows for API processing of transactions for certain institutions.

## Authentication

- `Authentication` (oauth2)
  - Scopes: `payments`

## Path parameters

- `id` (string, required) - The unique identifier of the transaction.

## Header parameters

- `X-Correlation-ID` (string) - Optional correlation id for the request, if not supplied a new one will be generated and passed onto all underlying requests and returned as a header.
- `Idempotency-Key` (string) - The unique key idempotency key as per the following [IETF Draft](https://datatracker.ietf.org/doc/draft-ietf-httpapi-idempotency-key-header/)

## Request body

- `paymentStep` (string, required) - The payment step being processed.
- `callbackUrl` (string, uri, required) - The URI to callback once the step has been completed. The callback URI will receive a `POST` request with a `InputResponse` model indicating what step is required next.
- `inputFields` (array of InputFieldRequest, required) - The input fields.

## Responses

### 200 OK

- Header `X-Correlation-ID`: The correlation id for the request that was processed.
- Header `Location`: The unique URI for this resource.

### 201 Created

- Header `X-Correlation-ID`: The correlation id for the request that was processed.

### 400 Bad Request

- Header `X-Correlation-ID`: The correlation id for the request that was processed.

### 401 Unauthorized

- Header `X-Correlation-ID`: The correlation id for the request that was processed.

### 403 Forbidden

- Header `X-Correlation-ID`: The correlation id for the request that was processed.

### 409 Conflict

- Header `X-Correlation-ID`: The correlation id for the request that was processed.

### 500 Internal Server Error

- Header `X-Correlation-ID`: The correlation id for the request that was processed.
